%global _empty_manifest_terminate_build 0
Name:		python-docker
Version:	5.0.3
Release:	1
Summary:	A Python library for the Docker Engine API.
License:	Apache-2.0
URL:		https://github.com/docker/docker-py
Source0:	https://files.pythonhosted.org/packages/ab/d2/45ea0ee13c6cffac96c32ac36db0299932447a736660537ec31ec3a6d877/docker-5.0.3.tar.gz
BuildArch:	noarch
%description
A Python library for the Docker Engine API.


%package -n python3-docker
Summary:	A Python library for the Docker Engine API.
Provides:	python-docker
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-six
Requires:	python3-websocket-client
Requires:	python3-requests
Requires:	python3-ipaddress
# Requires:	python3-backports-ssl-match-hostname
# Requires:	python3-pywin32
Requires:	python3-paramiko
Requires:	python3-pyOpenSSL
Requires:	python3-cryptography
Requires:	python3-idna
%description -n python3-docker
A Python library for the Docker Engine API.


%package help
Summary:	Development documents and examples for docker
Provides:	python3-docker-doc
%description help
A Python library for the Docker Engine API.


%prep
%autosetup -n docker-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-docker -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 20 2022 Ge Wang <wangge20@h-partners.com> - 5.0.3-1
- Update to 5.0.3

* Fri Jul 09 2021 openstack-sig <openstack@openeuler.org>
- Update to 4.4.4

* Wed Oct 21 2020 jinzhimin <jinzhimin2@huawei.com> - 4.0.2-2
- remove python2-docker subpackage

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 4.0.2-1
- Package init
